MetricSetControllerGetMetricSetsByIds Method |
POST /MetricSet/GetByIds/
Gets a metric set.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetByIds")]
public HttpResponseMessage GetMetricSetsByIds(
[FromBodyAttribute] Guid[] entryIds,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetByIds")>
Public Function GetMetricSetsByIds (
<FromBodyAttribute> entryIds As Guid(),
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"GetByIds")]
HttpResponseMessage^ GetMetricSetsByIds(
[FromBodyAttribute] array<Guid>^ entryIds,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetByIds")>]
member GetMetricSetsByIds :
[<FromBodyAttribute>] entryIds : Guid[] *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- entryIds
- Type: SystemGuid
The IDs of the metric sets to get. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
An array of
MetricSetData object containing the metric sets data, or a status code indicating the problem.
See Also